// _NibFinderCodeAnalInterfaceController_EOArchive.java
// Generated by EnterpriseObjects palette at mercredi 11 juillet 2007 17 h 52 Europe/Paris

package org.cocktail.application.client.nibfinder;

import com.webobjects.eoapplication.*;
import com.webobjects.eocontrol.*;
import com.webobjects.eointerface.*;
import com.webobjects.eointerface.swing.*;
import com.webobjects.eointerface.swing.EOTable._EOTableColumn;
import com.webobjects.foundation.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.table.*;
import javax.swing.text.*;

public class _NibFinderCodeAnalInterfaceController_EOArchive extends com.webobjects.eoapplication.EOArchive {
    com.webobjects.eocontrol.EODataSource _eoDataSource0;
    com.webobjects.eocontrol.EOEditingContext _eoEditingContext0;
    com.webobjects.eointerface.EODisplayGroup _eoDisplayGroup0;
    com.webobjects.eointerface.EOPickTextAssociation _eoPickTextAssociation0;
    com.webobjects.eointerface.EOTableAssociation _eoTableAssociation0;
    com.webobjects.eointerface.EOTableColumnAssociation _eoTableColumnAssociation0, _eoTableColumnAssociation1;
    com.webobjects.eointerface.swing.EOFrame _eoFrame0;
    com.webobjects.eointerface.swing.EOTable _nsTableView0;
    com.webobjects.eointerface.swing.EOTable._EOTableColumn _eoTableColumn0, _eoTableColumn1;
    com.webobjects.eointerface.swing.EOTextField _nsSearchField0;
    javax.swing.JButton _nsButton0, _nsButton1;
    javax.swing.JPanel _nsView0;

    public _NibFinderCodeAnalInterfaceController_EOArchive(Object owner, NSDisposableRegistry registry) {
        super(owner, registry);
    }

    protected void _construct() {
        Object owner = _owner();
        EOArchive._ObjectInstantiationDelegate delegate = (owner instanceof EOArchive._ObjectInstantiationDelegate) ? (EOArchive._ObjectInstantiationDelegate)owner : null;
        Object replacement;

        super._construct();

        _nsButton1 = (javax.swing.JButton)_registered(new javax.swing.JButton("Valider"), "NSButton1");
        _nsSearchField0 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "");
        _eoPickTextAssociation0 = (com.webobjects.eointerface.EOPickTextAssociation)_registered(new com.webobjects.eointerface.EOPickTextAssociation(_nsSearchField0), "");
        _nsTableView0 = (com.webobjects.eointerface.swing.EOTable)_registered(new com.webobjects.eointerface.swing.EOTable(), "");
        _eoTableAssociation0 = (com.webobjects.eointerface.EOTableAssociation)_registered(new com.webobjects.eointerface.EOTableAssociation(_nsTableView0), "");
        _eoTableColumn1 = (com.webobjects.eointerface.swing.EOTable._EOTableColumn)_registered(new com.webobjects.eointerface.swing.EOTable._EOTableColumn(), "");
        _eoTableColumnAssociation1 = (com.webobjects.eointerface.EOTableColumnAssociation)_registered(new com.webobjects.eointerface.EOTableColumnAssociation(_eoTableColumn1, _nsTableView0), "");
        _eoTableColumn0 = (com.webobjects.eointerface.swing.EOTable._EOTableColumn)_registered(new com.webobjects.eointerface.swing.EOTable._EOTableColumn(), "");
        _eoTableColumnAssociation0 = (com.webobjects.eointerface.EOTableColumnAssociation)_registered(new com.webobjects.eointerface.EOTableColumnAssociation(_eoTableColumn0, _nsTableView0), "");

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "editingContext")) != null)) {
            _eoEditingContext0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eocontrol.EOEditingContext)replacement;
            _replacedObjects.setObjectForKey(replacement, "_eoEditingContext0");
        } else {
            _eoEditingContext0 = ((com.webobjects.eocontrol.EOEditingContext.substitutionEditingContext() != null) ? com.webobjects.eocontrol.EOEditingContext.substitutionEditingContext() : (com.webobjects.eocontrol.EOEditingContext)_registered(new com.webobjects.eocontrol.EOEditingContext(), "EditingContext"));
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "displayGroup.dataSource")) != null)) {
            _eoDataSource0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eocontrol.EODataSource)replacement;
            _replacedObjects.setObjectForKey(replacement, "_eoDataSource0");
        } else {
            _eoDataSource0 = (com.webobjects.eocontrol.EODataSource)_registered(com.webobjects.eoapplication.EODataSourceFactory.defaultDataSourceFactory().newMasterDataSource(_eoEditingContext0, "ca_CodeAnal", null), "DataSource");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "displayGroup")) != null)) {
            _eoDisplayGroup0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.EODisplayGroup)replacement;
            _replacedObjects.setObjectForKey(replacement, "_eoDisplayGroup0");
        } else {
            _eoDisplayGroup0 = (com.webobjects.eointerface.EODisplayGroup)_registered(new com.webobjects.eointerface.EODisplayGroup(), "ca_CodeAnal");
        }

        _nsButton0 = (javax.swing.JButton)_registered(new javax.swing.JButton("Annuler"), "NSButton");

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "component")) != null)) {
            _eoFrame0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOFrame)replacement;
            _replacedObjects.setObjectForKey(replacement, "_eoFrame0");
        } else {
            _eoFrame0 = (com.webobjects.eointerface.swing.EOFrame)_registered(new com.webobjects.eointerface.swing.EOFrame(), "MainWindow");
        }

        _nsView0 = (JPanel)_eoFrame0.getContentPane();
    }

    protected void _awaken() {
        super._awaken();
        _nsButton1.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "valider", _nsButton1), ""));

        if (_replacedObjects.objectForKey("_eoEditingContext0") == null) {
            _connect(_owner(), _eoEditingContext0, "editingContext");
        }

        if (_replacedObjects.objectForKey("_eoDisplayGroup0") == null) {
            _connect(_owner(), _eoDisplayGroup0, "displayGroup");
        }

        if (_replacedObjects.objectForKey("_eoFrame0") == null) {
            _connect(_owner(), _eoFrame0, "component");
        }

        _nsButton0.addActionListener((com.webobjects.eointerface.swing.EOControlActionAdapter)_registered(new com.webobjects.eointerface.swing.EOControlActionAdapter(_owner(), "annuler", _nsButton0), ""));
    }

    protected void _init() {
        super._init();
        _setFontForComponent(_nsButton1, "Lucida Grande", 13, Font.PLAIN);
        _nsButton1.setMargin(new Insets(0, 2, 0, 2));
        _setFontForComponent(_nsSearchField0, "Lucida Grande", 13, Font.PLAIN);
        _nsSearchField0.setEditable(true);
        _nsSearchField0.setOpaque(true);
        _nsSearchField0.setText("");
        _nsSearchField0.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        _nsSearchField0.setSelectable(true);
        _nsSearchField0.setEnabled(true);
        _eoPickTextAssociation0.bindAspect(com.webobjects.eointerface.EOAssociation.MatchKey1Aspect, _eoDisplayGroup0, "canCode");
        _eoPickTextAssociation0.establishConnection();
        _eoTableAssociation0.bindAspect(com.webobjects.eointerface.EOAssociation.SourceAspect, _eoDisplayGroup0, "");
        _eoTableAssociation0.setSortsByColumnOrder(true);
        _eoTableAssociation0.establishConnection();
        _eoTableColumnAssociation1.bindAspect(com.webobjects.eointerface.EOAssociation.ValueAspect, _eoDisplayGroup0, "canLibelle");
        _eoTableColumnAssociation1.establishConnection();
        _eoTableColumn1.setMinWidth(62);
        _eoTableColumn1.setMaxWidth(1000);
        _eoTableColumn1.setPreferredWidth(347);
        _eoTableColumn1.setWidth(347);
        _eoTableColumn1.setResizable(true);
        _eoTableColumn1.setHeaderValue("Libelle");
        if ((_eoTableColumn1.getHeaderRenderer() != null)) {
        	((DefaultTableCellRenderer)(_eoTableColumn1.getHeaderRenderer())).setHorizontalAlignment(javax.swing.JTextField.LEFT);
        }
        _nsTableView0.table().addColumn(_eoTableColumn0);
        _nsTableView0.table().addColumn(_eoTableColumn1);
        _setFontForComponent(_nsTableView0.table().getTableHeader(), "Lucida Grande", 11, Font.PLAIN);
        _nsTableView0.table().setRowHeight(16);
        _eoTableColumn0.setMinWidth(10);
        _eoTableColumn0.setMaxWidth(1000);
        _eoTableColumn0.setPreferredWidth(177);
        _eoTableColumn0.setWidth(177);
        _eoTableColumn0.setResizable(true);
        _eoTableColumn0.setHeaderValue("Code");
        if ((_eoTableColumn0.getHeaderRenderer() != null)) {
        	((DefaultTableCellRenderer)(_eoTableColumn0.getHeaderRenderer())).setHorizontalAlignment(javax.swing.JTextField.LEFT);
        }
        _eoTableColumnAssociation0.bindAspect(com.webobjects.eointerface.EOAssociation.ValueAspect, _eoDisplayGroup0, "canCode");
        _eoTableColumnAssociation0.establishConnection();

        if (_replacedObjects.objectForKey("_eoDataSource0") == null) {
            _connect(_eoDataSource0, _eoEditingContext0, "editingContext");
        }

        if (_replacedObjects.objectForKey("_eoDisplayGroup0") == null) {
            _connect(_eoDisplayGroup0, _eoDataSource0, "dataSource");
        }

        if (_replacedObjects.objectForKey("_eoDisplayGroup0") == null) {
            _eoDisplayGroup0.setValidatesChangesImmediately(false);
            _eoDisplayGroup0.setFetchesOnLoad(true);
            _eoDisplayGroup0.setUsesOptimisticRefresh(false);
            _eoDisplayGroup0.setSelectsFirstObjectAfterFetch(true);
        }

        _setFontForComponent(_nsButton0, "Lucida Grande", 13, Font.PLAIN);
        _nsButton0.setMargin(new Insets(0, 2, 0, 2));
        if (!(_nsView0.getLayout() instanceof EOViewLayout)) { _nsView0.setLayout(new EOViewLayout()); }
        _nsButton0.setSize(79, 32);
        _nsButton0.setLocation(383, 232);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton0);
        _nsButton1.setSize(79, 32);
        _nsButton1.setLocation(473, 232);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsButton1, EOViewLayout.MinYMargin);
        _nsView0.add(_nsButton1);
        _nsSearchField0.setSize(180, 22);
        _nsSearchField0.setLocation(5, 3);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsSearchField0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsSearchField0);
        _nsTableView0.setSize(548, 190);
        _nsTableView0.setLocation(3, 36);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTableView0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTableView0);

        if (_replacedObjects.objectForKey("_eoFrame0") == null) {
            _nsView0.setSize(559, 280);
            _eoFrame0.setTitle("Window");
            _eoFrame0.setLocation(157, 270);
            _eoFrame0.setSize(559, 280);
        }
    }
}
